Bug 394531 - backtraces on samba-server
backtraces on samba-server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
: 396691 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 11:36 EST by Reindl Harald
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.27a-0.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:58:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2007-11-21 11:36:48 EST
Samba on our server crash secondly
The client is a barracuda-networks-spamfirewall that will put backups in the share


[root@thx1138 ~]# rpm -qa | grep samba
samba-3.0.27-0.fc7
samba-common-3.0.27-0.fc7
system-config-samba-1.2.52-1.fc7
samba-client-3.0.27-0.fc7


Nov 21 17:33:38 thx1138 smbd[29000]: [2007/11/21 17:33:38, 0]
libsmb/smb_signing.c:srv_check_incoming_message(737)
Nov 21 17:33:38 thx1138 smbd[29000]:   srv_check_incoming_message: BAD SIG: seq
2 wanted SMB signature of
Nov 21 17:33:38 thx1138 smbd[29000]: [2007/11/21 17:33:38, 0]
libsmb/smb_signing.c:srv_check_incoming_message(741)
Nov 21 17:33:38 thx1138 smbd[29000]:   srv_check_incoming_message: BAD SIG: seq
2 got SMB signature of
Nov 21 17:33:38 thx1138 smbd[29000]: [2007/11/21 17:33:38, 0]
lib/util.c:smb_panic(1654)
Nov 21 17:33:38 thx1138 smbd[29000]:   PANIC (pid 29000): push_ascii - dest_len
== -1
Nov 21 17:33:38 thx1138 smbd[29000]: [2007/11/21 17:33:38, 0]
lib/util.c:log_stack_trace(1758)
Nov 21 17:33:38 thx1138 smbd[29000]:   BACKTRACE: 14 stack frames:
Nov 21 17:33:38 thx1138 smbd[29000]:    #0 smbd(log_stack_trace+0x2d) [0xb7d7abbd]
Nov 21 17:33:38 thx1138 smbd[29000]:    #1 smbd(smb_panic+0x5d) [0xb7d7aced]
Nov 21 17:33:38 thx1138 smbd[29000]:    #2 smbd(push_ascii+0xf7) [0xb7d63487]
Nov 21 17:33:38 thx1138 smbd[29000]:    #3 smbd(push_string_fn+0x4c) [0xb7d634dc]
Nov 21 17:33:38 thx1138 smbd[29000]:    #4 smbd(srvstr_push_fn+0x54) [0xb7bec424]
Nov 21 17:33:38 thx1138 smbd[29000]:    #5 smbd [0xb7bd23e3]
Nov 21 17:33:38 thx1138 smbd[29000]:    #6 smbd [0xb7bd4cf5]
Nov 21 17:33:38 thx1138 smbd[29000]:    #7 smbd(handle_trans2+0x237) [0xb7bd8a07]
Nov 21 17:33:38 thx1138 smbd[29000]:    #8 smbd(reply_trans2+0x6bb) [0xb7bdf1bb]
Nov 21 17:33:38 thx1138 smbd[29000]:    #9 smbd [0xb7bfbed0]
Nov 21 17:33:38 thx1138 smbd[29000]:    #10 smbd(smbd_process+0x836) [0xb7bfcf66]
Nov 21 17:33:38 thx1138 smbd[29000]:    #11 smbd(main+0xbdd) [0xb7e57e1d]
Nov 21 17:33:38 thx1138 smbd[29000]:    #12
/lib/libc.so.6(__libc_start_main+0xe0) [0x37ff70]
Nov 21 17:33:38 thx1138 smbd[29000]:    #13 smbd [0xb7b80231]
Nov 21 17:33:38 thx1138 smbd[29000]: [2007/11/21 17:33:38, 0]
lib/fault.c:dump_core(181)
Nov 21 17:33:38 thx1138 smbd[29000]:   dumping core in /var/log/samba/cores/smbd
Nov 21 17:33:38 thx1138 smbd[29000]:
Nov 21 17:33:38 thx1138 smbd[29001]: [2007/11/21 17:33:38, 0]
libsmb/smb_signing.c:srv_check_incoming_message(737)
Nov 21 17:33:38 thx1138 smbd[29001]:   srv_check_incoming_message: BAD SIG: seq
2 wanted SMB signature of
Nov 21 17:33:38 thx1138 smbd[29001]: [2007/11/21 17:33:38, 0]
libsmb/smb_signing.c:srv_check_incoming_message(741)
Nov 21 17:33:38 thx1138 smbd[29001]:   srv_check_incoming_message: BAD SIG: seq
2 got SMB signature of
Nov 21 17:33:38 thx1138 smbd[29001]: [2007/11/21 17:33:38, 0]
lib/util.c:smb_panic(1654)
Nov 21 17:33:38 thx1138 smbd[29001]:   PANIC (pid 29001): push_ascii - dest_len
== -1
Nov 21 17:33:38 thx1138 smbd[29001]: [2007/11/21 17:33:38, 0]
lib/util.c:log_stack_trace(1758)
Nov 21 17:33:38 thx1138 smbd[29001]:   BACKTRACE: 14 stack frames:
Nov 21 17:33:38 thx1138 smbd[29001]:    #0 smbd(log_stack_trace+0x2d) [0xb7d7abbd]
Nov 21 17:33:38 thx1138 smbd[29001]:    #1 smbd(smb_panic+0x5d) [0xb7d7aced]
Nov 21 17:33:38 thx1138 smbd[29001]:    #2 smbd(push_ascii+0xf7) [0xb7d63487]
Nov 21 17:33:38 thx1138 smbd[29001]:    #3 smbd(push_string_fn+0x4c) [0xb7d634dc]
Nov 21 17:33:38 thx1138 smbd[29001]:    #4 smbd(srvstr_push_fn+0x54) [0xb7bec424]
Nov 21 17:33:38 thx1138 smbd[29001]:    #5 smbd [0xb7bd23e3]
Nov 21 17:33:38 thx1138 smbd[29001]:    #6 smbd [0xb7bd4cf5]
Nov 21 17:33:38 thx1138 smbd[29001]:    #7 smbd(handle_trans2+0x237) [0xb7bd8a07]
Nov 21 17:33:38 thx1138 smbd[29001]:    #8 smbd(reply_trans2+0x6bb) [0xb7bdf1bb]
Nov 21 17:33:38 thx1138 smbd[29001]:    #9 smbd [0xb7bfbed0]
Nov 21 17:33:38 thx1138 smbd[29001]:    #10 smbd(smbd_process+0x836) [0xb7bfcf66]
Nov 21 17:33:38 thx1138 smbd[29001]:    #11 smbd(main+0xbdd) [0xb7e57e1d]
Nov 21 17:33:38 thx1138 smbd[29001]:    #12
/lib/libc.so.6(__libc_start_main+0xe0) [0x37ff70]
Nov 21 17:33:38 thx1138 smbd[29001]:    #13 smbd [0xb7b80231]
Nov 21 17:33:38 thx1138 smbd[29001]: [2007/11/21 17:33:38, 0]
lib/fault.c:dump_core(181)
Nov 21 17:33:38 thx1138 smbd[29001]:   dumping core in /var/log/samba/cores/smbd
Nov 21 17:33:38 thx1138 smbd[29001]:
Nov 21 17:33:39 thx1138 smbd[29002]: [2007/11/21 17:33:39, 0]
libsmb/smb_signing.c:srv_check_incoming_message(737)
Nov 21 17:33:39 thx1138 smbd[29002]:   srv_check_incoming_message: BAD SIG: seq
2 wanted SMB signature of
Nov 21 17:33:39 thx1138 smbd[29002]: [2007/11/21 17:33:39, 0]
libsmb/smb_signing.c:srv_check_incoming_message(741)
Nov 21 17:33:39 thx1138 smbd[29002]:   srv_check_incoming_message: BAD SIG: seq
2 got SMB signature of
Nov 21 17:33:39 thx1138 smbd[29002]: [2007/11/21 17:33:39, 0]
lib/util.c:smb_panic(1654)
Nov 21 17:33:39 thx1138 smbd[29002]:   PANIC (pid 29002): push_ascii - dest_len
== -1
Nov 21 17:33:39 thx1138 smbd[29002]: [2007/11/21 17:33:39, 0]
lib/util.c:log_stack_trace(1758)
Nov 21 17:33:39 thx1138 smbd[29002]:   BACKTRACE: 14 stack frames:
Nov 21 17:33:39 thx1138 smbd[29002]:    #0 smbd(log_stack_trace+0x2d) [0xb7d7abbd]
Nov 21 17:33:39 thx1138 smbd[29002]:    #1 smbd(smb_panic+0x5d) [0xb7d7aced]
Nov 21 17:33:39 thx1138 smbd[29002]:    #2 smbd(push_ascii+0xf7) [0xb7d63487]
Nov 21 17:33:39 thx1138 smbd[29002]:    #3 smbd(push_string_fn+0x4c) [0xb7d634dc]
Nov 21 17:33:39 thx1138 smbd[29002]:    #4 smbd(srvstr_push_fn+0x54) [0xb7bec424]
Nov 21 17:33:39 thx1138 smbd[29002]:    #5 smbd [0xb7bd23e3]
Nov 21 17:33:39 thx1138 smbd[29002]:    #6 smbd [0xb7bd4cf5]
Nov 21 17:33:39 thx1138 smbd[29002]:    #7 smbd(handle_trans2+0x237) [0xb7bd8a07]
Nov 21 17:33:39 thx1138 smbd[29002]:    #8 smbd(reply_trans2+0x6bb) [0xb7bdf1bb]
Nov 21 17:33:39 thx1138 smbd[29002]:    #9 smbd [0xb7bfbed0]
Nov 21 17:33:39 thx1138 smbd[29002]:    #10 smbd(smbd_process+0x836) [0xb7bfcf66]
Nov 21 17:33:39 thx1138 smbd[29002]:    #11 smbd(main+0xbdd) [0xb7e57e1d]
Nov 21 17:33:39 thx1138 smbd[29002]:    #12
/lib/libc.so.6(__libc_start_main+0xe0) [0x37ff70]
Nov 21 17:33:39 thx1138 smbd[29002]:    #13 smbd [0xb7b80231]
Nov 21 17:33:39 thx1138 smbd[29002]: [2007/11/21 17:33:39, 0]
lib/fault.c:dump_core(181)
Nov 21 17:33:39 thx1138 smbd[29002]:   dumping core in /var/log/samba/cores/smbd
Nov 21 17:33:39 thx1138 smbd[29002]:
Nov 21 17:33:39 thx1138 smbd[29003]: [2007/11/21 17:33:39, 0]
libsmb/smb_signing.c:srv_check_incoming_message(737)
Nov 21 17:33:39 thx1138 smbd[29003]:   srv_check_incoming_message: BAD SIG: seq
2 wanted SMB signature of
Nov 21 17:33:39 thx1138 smbd[29003]: [2007/11/21 17:33:39, 0]
libsmb/smb_signing.c:srv_check_incoming_message(741)
Nov 21 17:33:39 thx1138 smbd[29003]:   srv_check_incoming_message: BAD SIG: seq
2 got SMB signature of
Nov 21 17:33:39 thx1138 smbd[29003]: [2007/11/21 17:33:39, 0]
lib/util.c:smb_panic(1654)
Nov 21 17:33:39 thx1138 smbd[29003]:   PANIC (pid 29003): push_ascii - dest_len
== -1
Nov 21 17:33:39 thx1138 smbd[29003]: [2007/11/21 17:33:39, 0]
lib/util.c:log_stack_trace(1758)
Nov 21 17:33:39 thx1138 smbd[29003]:   BACKTRACE: 14 stack frames:
Nov 21 17:33:39 thx1138 smbd[29003]:    #0 smbd(log_stack_trace+0x2d) [0xb7d7abbd]
Nov 21 17:33:39 thx1138 smbd[29003]:    #1 smbd(smb_panic+0x5d) [0xb7d7aced]
Nov 21 17:33:39 thx1138 smbd[29003]:    #2 smbd(push_ascii+0xf7) [0xb7d63487]
Nov 21 17:33:39 thx1138 smbd[29003]:    #3 smbd(push_string_fn+0x4c) [0xb7d634dc]
Nov 21 17:33:39 thx1138 smbd[29003]:    #4 smbd(srvstr_push_fn+0x54) [0xb7bec424]
Nov 21 17:33:39 thx1138 smbd[29003]:    #5 smbd [0xb7bd23e3]
Nov 21 17:33:39 thx1138 smbd[29003]:    #6 smbd [0xb7bd4cf5]
Nov 21 17:33:39 thx1138 smbd[29003]:    #7 smbd(handle_trans2+0x237) [0xb7bd8a07]
Nov 21 17:33:39 thx1138 smbd[29003]:    #8 smbd(reply_trans2+0x6bb) [0xb7bdf1bb]
Nov 21 17:33:39 thx1138 smbd[29003]:    #9 smbd [0xb7bfbed0]
Nov 21 17:33:39 thx1138 smbd[29003]:    #10 smbd(smbd_process+0x836) [0xb7bfcf66]
Nov 21 17:33:39 thx1138 smbd[29003]:    #11 smbd(main+0xbdd) [0xb7e57e1d]
Nov 21 17:33:39 thx1138 smbd[29003]:    #12
/lib/libc.so.6(__libc_start_main+0xe0) [0x37ff70]
Nov 21 17:33:39 thx1138 smbd[29003]:    #13 smbd [0xb7b80231]
Nov 21 17:33:39 thx1138 smbd[29003]: [2007/11/21 17:33:39, 0]
lib/fault.c:dump_core(181)
Nov 21 17:33:39 thx1138 smbd[29003]:   dumping core in /var/log/samba/cores/smbd
Nov 21 17:33:39 thx1138 smbd[29003]:
Nov 21 17:33:39 thx1138 smbd[29004]: [2007/11/21 17:33:39, 0]
libsmb/smb_signing.c:srv_check_incoming_message(737)
Nov 21 17:33:39 thx1138 smbd[29004]:   srv_check_incoming_message: BAD SIG: seq
2 wanted SMB signature of
Nov 21 17:33:39 thx1138 smbd[29004]: [2007/11/21 17:33:39, 0]
libsmb/smb_signing.c:srv_check_incoming_message(741)
Nov 21 17:33:39 thx1138 smbd[29004]:   srv_check_incoming_message: BAD SIG: seq
2 got SMB signature of
Nov 21 17:33:39 thx1138 smbd[29004]: [2007/11/21 17:33:39, 0]
lib/util.c:smb_panic(1654)
Nov 21 17:33:39 thx1138 smbd[29004]:   PANIC (pid 29004): push_ascii - dest_len
== -1
Nov 21 17:33:39 thx1138 smbd[29004]: [2007/11/21 17:33:39, 0]
lib/util.c:log_stack_trace(1758)
Nov 21 17:33:39 thx1138 smbd[29004]:   BACKTRACE: 14 stack frames:
Nov 21 17:33:39 thx1138 smbd[29004]:    #0 smbd(log_stack_trace+0x2d) [0xb7d7abbd]
Nov 21 17:33:39 thx1138 smbd[29004]:    #1 smbd(smb_panic+0x5d) [0xb7d7aced]
Nov 21 17:33:39 thx1138 smbd[29004]:    #2 smbd(push_ascii+0xf7) [0xb7d63487]
Nov 21 17:33:39 thx1138 smbd[29004]:    #3 smbd(push_string_fn+0x4c) [0xb7d634dc]
Nov 21 17:33:39 thx1138 smbd[29004]:    #4 smbd(srvstr_push_fn+0x54) [0xb7bec424]
Nov 21 17:33:39 thx1138 smbd[29004]:    #5 smbd [0xb7bd23e3]
Nov 21 17:33:39 thx1138 smbd[29004]:    #6 smbd [0xb7bd4cf5]
Nov 21 17:33:39 thx1138 smbd[29004]:    #7 smbd(handle_trans2+0x237) [0xb7bd8a07]
Nov 21 17:33:39 thx1138 smbd[29004]:    #8 smbd(reply_trans2+0x6bb) [0xb7bdf1bb]
Nov 21 17:33:39 thx1138 smbd[29004]:    #9 smbd [0xb7bfbed0]
Nov 21 17:33:39 thx1138 smbd[29004]:    #10 smbd(smbd_process+0x836) [0xb7bfcf66]
Nov 21 17:33:39 thx1138 smbd[29004]:    #11 smbd(main+0xbdd) [0xb7e57e1d]
Nov 21 17:33:39 thx1138 smbd[29004]:    #12
/lib/libc.so.6(__libc_start_main+0xe0) [0x37ff70]
Nov 21 17:33:39 thx1138 smbd[29004]:    #13 smbd [0xb7b80231]
Nov 21 17:33:39 thx1138 smbd[29004]: [2007/11/21 17:33:39, 0]
lib/fault.c:dump_core(181)
Nov 21 17:33:39 thx1138 smbd[29004]:   dumping core in /var/log/samba/cores/smbd
Nov 21 17:33:39 thx1138 smbd[29004]:
Nov 21 17:33:40 thx1138 smbd[29005]: [2007/11/21 17:33:40, 0]
libsmb/smb_signing.c:srv_check_incoming_message(737)
Nov 21 17:33:40 thx1138 smbd[29005]:   srv_check_incoming_message: BAD SIG: seq
2 wanted SMB signature of
Nov 21 17:33:40 thx1138 smbd[29005]: [2007/11/21 17:33:40, 0]
libsmb/smb_signing.c:srv_check_incoming_message(741)
Nov 21 17:33:40 thx1138 smbd[29005]:   srv_check_incoming_message: BAD SIG: seq
2 got SMB signature of
Nov 21 17:33:40 thx1138 smbd[29005]: [2007/11/21 17:33:40, 0]
lib/util.c:smb_panic(1654)
Nov 21 17:33:40 thx1138 smbd[29005]:   PANIC (pid 29005): push_ascii - dest_len
== -1
Nov 21 17:33:40 thx1138 smbd[29005]: [2007/11/21 17:33:40, 0]
lib/util.c:log_stack_trace(1758)
Nov 21 17:33:40 thx1138 smbd[29005]:   BACKTRACE: 14 stack frames:
Nov 21 17:33:40 thx1138 smbd[29005]:    #0 smbd(log_stack_trace+0x2d) [0xb7d7abbd]
Nov 21 17:33:40 thx1138 smbd[29005]:    #1 smbd(smb_panic+0x5d) [0xb7d7aced]
Nov 21 17:33:40 thx1138 smbd[29005]:    #2 smbd(push_ascii+0xf7) [0xb7d63487]
Nov 21 17:33:40 thx1138 smbd[29005]:    #3 smbd(push_string_fn+0x4c) [0xb7d634dc]
Nov 21 17:33:40 thx1138 smbd[29005]:    #4 smbd(srvstr_push_fn+0x54) [0xb7bec424]
Nov 21 17:33:40 thx1138 smbd[29005]:    #5 smbd [0xb7bd23e3]
Nov 21 17:33:40 thx1138 smbd[29005]:    #6 smbd [0xb7bd4cf5]
Nov 21 17:33:40 thx1138 smbd[29005]:    #7 smbd(handle_trans2+0x237) [0xb7bd8a07]
Nov 21 17:33:40 thx1138 smbd[29005]:    #8 smbd(reply_trans2+0x6bb) [0xb7bdf1bb]
Nov 21 17:33:40 thx1138 smbd[29005]:    #9 smbd [0xb7bfbed0]
Nov 21 17:33:40 thx1138 smbd[29005]:    #10 smbd(smbd_process+0x836) [0xb7bfcf66]
Nov 21 17:33:40 thx1138 smbd[29005]:    #11 smbd(main+0xbdd) [0xb7e57e1d]
Nov 21 17:33:40 thx1138 smbd[29005]:    #12
/lib/libc.so.6(__libc_start_main+0xe0) [0x37ff70]
Nov 21 17:33:40 thx1138 smbd[29005]:    #13 smbd [0xb7b80231]
Nov 21 17:33:40 thx1138 smbd[29005]: [2007/11/21 17:33:40, 0]
lib/fault.c:dump_core(181)
Nov 21 17:33:40 thx1138 smbd[29005]:   dumping core in /var/log/samba/cores/smbd
Comment 1 Simo Sorce 2007-11-23 12:18:24 EST
*** Bug 396691 has been marked as a duplicate of this bug. ***
Comment 2 Fedora Update System 2007-11-26 13:58:55 EST
samba-3.0.27a-0.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.